summaryrefslogtreecommitdiff
path: root/t/python11.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:27:49 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:37:53 +0200
commitb21d68690612214d8edd810acf11880c3c0ad586 (patch)
tree7506c8901d7d16c4a5603a11e567b9e6315c9e9d /t/python11.sh
parentda9ad6fafeaf5dfa710a1a2b4176d1a049fddf13 (diff)
parentd25fac43a7c239fe8f56b2ce1b87ef3e3d4d7ef0 (diff)
downloadautomake-b21d68690612214d8edd810acf11880c3c0ad586.tar.gz
Merge branch 'maint'
* maint: tests: simpler workaround for shells losing the exit status in exit trap + Extra non-trivial edits: * Several tests: Adjusted to use 'exit' rather than 'Exit'. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/python11.sh')
-rwxr-xr-xt/python11.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/t/python11.sh b/t/python11.sh
index aff3c9c7c..e86d30e7f 100755
--- a/t/python11.sh
+++ b/t/python11.sh
@@ -17,7 +17,7 @@
# Test missing python.
# Python is not required for this test.
-. ./defs || Exit 1
+. ./defs || exit 1
cat >>configure.ac <<'EOF'
m4_define([_AM_PYTHON_INTERPRETER_LIST], [IShouldNotExist1 IShouldNotExist2])
@@ -33,7 +33,7 @@ EOF
$ACLOCAL
$AUTOCONF
-./configure >stdout 2>stderr && { cat stdout; cat stderr >&2; Exit 1; }
+./configure >stdout 2>stderr && { cat stdout; cat stderr >&2; exit 1; }
cat stdout
cat stderr >&2
grep 'checking for IShouldNotExist1' stdout
@@ -48,7 +48,7 @@ $AUTOCONF --force
./configure
# Any user setting should be used.
-./configure PYTHON=foo >stdout && { cat stdout; Exit 1; }
+./configure PYTHON=foo >stdout && { cat stdout; exit 1; }
cat stdout
grep 'PYTHON = foo' stdout